# Class NetworkBodyParserFailedError

#### Hierarchy

- NetworkRequestDataError
  - NetworkBodyParserFailedError

#####
Index

### Constructors

constructor

### Properties

category
code
headers
requestType
status
uri

## Constructors

### constructor

- new NetworkBodyParserFailedError(uri, requestType, status, headers): NetworkBodyParserFailedError

- #### Parameters

  - uri: string
  - requestType: RequestType
  - status: number
  - headers: Headers

  #### Returns NetworkBodyParserFailedError

  Inherited from NetworkRequestDataError.constructor

## Properties

### `Readonly` category

category: Network = ErrorCategory.Network

Inherited from NetworkRequestDataError.category

### `Readonly` code

code: NetworkBodyParserFailed = ErrorCode.NetworkBodyParserFailed

Overrides NetworkRequestDataError.code

### `Readonly` headers

headers: Headers

Inherited from NetworkRequestDataError.headers

### `Readonly` requestType

requestType: RequestType

Inherited from NetworkRequestDataError.requestType

### `Readonly` status

status: number

Inherited from NetworkRequestDataError.status

### `Readonly` uri

uri: string

Inherited from NetworkRequestDataError.uri